# -*- encoding: utf-8 -*-
# stub: nexpose 7.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "nexpose"
  s.version = "7.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["HD Moore", "Chris Lee", "Michael Daines", "Brandon Turner", "Gavin Schneider", "Scott Green"]
  s.date = "2018-01-17"
  s.description = "This gem provides a Ruby API to the Nexpose vulnerability management product by Rapid7."
  s.email = ["hd_moore@rapid7.com", "christopher_lee@rapid7.com", "michael_daines@rapid7.com", "brandon_turner@rapid7.com", "gavin_schneider@rapid7.com", "scott_green@rapid7.com"]
  s.extra_rdoc_files = ["README.markdown"]
  s.files = ["README.markdown"]
  s.homepage = "https://github.com/rapid7/nexpose-client"
  s.licenses = ["BSD"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1")
  s.rubygems_version = "2.4.5.5"
  s.summary = "Ruby API for Rapid7 Nexpose"

  s.installed_by_version = "2.4.5.5" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, ["~> 0.4.6"])
      s.add_development_dependency(%q<simplecov>, ["~> 0.9.1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.2"])
      s.add_development_dependency(%q<rubocop>, [">= 0"])
      s.add_development_dependency(%q<webmock>, ["~> 1.20.4"])
      s.add_development_dependency(%q<vcr>, ["~> 2.9.3"])
      s.add_development_dependency(%q<github_changelog_generator>, [">= 0"])
      s.add_development_dependency(%q<pry>, ["= 0.9.12.6"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<codeclimate-test-reporter>, ["~> 0.4.6"])
      s.add_dependency(%q<simplecov>, ["~> 0.9.1"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.2"])
      s.add_dependency(%q<rubocop>, [">= 0"])
      s.add_dependency(%q<webmock>, ["~> 1.20.4"])
      s.add_dependency(%q<vcr>, ["~> 2.9.3"])
      s.add_dependency(%q<github_changelog_generator>, [">= 0"])
      s.add_dependency(%q<pry>, ["= 0.9.12.6"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<codeclimate-test-reporter>, ["~> 0.4.6"])
    s.add_dependency(%q<simplecov>, ["~> 0.9.1"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.2"])
    s.add_dependency(%q<rubocop>, [">= 0"])
    s.add_dependency(%q<webmock>, ["~> 1.20.4"])
    s.add_dependency(%q<vcr>, ["~> 2.9.3"])
    s.add_dependency(%q<github_changelog_generator>, [">= 0"])
    s.add_dependency(%q<pry>, ["= 0.9.12.6"])
  end
end
